KDE 4.7 PyKDE API Reference

- KDE's Python API

# OpenUrlEvent Class Reference

`from PyKDE4.kparts import *`

Inherits: KParts.Event → QEvent
Namespace: KParts

## Detailed Description

The KParts.OpenUrlEvent event informs that a given part has opened a given URL. Applications can use this event to send this information to interested plugins.

The event should be sent before opening the URL in the part, so that the plugins can use part()->url() to get the old URL.

## Methods
| __init__ (self, KParts.ReadOnlyPart part, KUrl url, KParts.OpenUrlArguments args=KParts.OpenUrlArguments(), KParts.BrowserArguments browserArgs=KParts.BrowserArguments())
KParts.OpenUrlArguments | arguments (self)
KParts.BrowserArguments | browserArguments (self)
KParts.ReadOnlyPart | part (self)
KUrl | url (self)
## Static Methods
bool | test (QEvent event)

## Method Documentation

__init__ | ( | self, |
|  | KParts.ReadOnlyPart | part,
|  | KUrl | url,
|  | KParts.OpenUrlArguments | args=KParts.OpenUrlArguments(),
|  | KParts.BrowserArguments | browserArgs=KParts.BrowserArguments()
| ) |  |  |

KParts.OpenUrlArguments arguments | ( |  | self ) |

KParts.BrowserArguments browserArguments | ( |  | self ) |

KParts.ReadOnlyPart part | ( |  | self ) |

KUrl url | ( |  | self ) |

## Static Method Documentation

bool test | ( | QEvent | event
| ) |  |  |